{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Create a new sinkhole. Logs of large request bodies will be truncated, but the full request body can be recorded in R2. If you wish to record large request bodies in R2, include the R2 key ID, key secret, and bucket name in the request body.","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/intel-sinkholes_identifier","description":"The unique identifier for the Cloudflare account."}},"required":["account_id"],"additionalProperties":false},"body":{"$ref":"#/definitions/intel-sinkholes_sinkhole_create_params"}},"required":["path","body"],"additionalProperties":false,"definitions":{"intel-sinkholes_identifier":{"description":"An identifier for the resource.","type":"string","maxLength":32,"examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"intel-sinkholes_sinkhole_create_params":{"type":"object","properties":{"name":{"description":"The name of the sinkhole.","type":"string"},"r2_bucket":{"description":"The name of the R2 bucket to store results. Required if you want to store large request bodies in R2.","type":"string"},"r2_id":{"description":"The id of the R2 instance. Required if you want to store large request bodies in R2.","type":"string"},"r2_secret":{"description":"The secret key for the R2 API token. Required if you want to store large request bodies in R2.","type":"string"}},"required":["name"]}}},"name":"Create a new sinkhole for your account","id":"cloudflare.sinkhole-config-create-sinkhole","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353"},"body":{"name":"example"}},"maxRequests":1,"summary":false}}